org.gradle.platform.base

## Interface ComponentTypeBuilder<C extends ComponentSpec>

- Type Parameters:
    `C` - The component type.
  All Superinterfaces:
    TypeBuilder<C>

      public interface ComponentTypeBuilder<C extends ComponentSpec>
      extends TypeBuilder<C>

  Allows a plugin to register a custom component type.

- - ### Method Summary

    - ### Methods inherited from interface org.gradle.platform.base.TypeBuilder

      `defaultImplementation, internalView`